Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJBuildInfo

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.ide.VAJBuildInfo

public class VAJBuildInfo
extends java.lang.Object

This class wraps the Ant project information needed to start Ant from Visual Age. It serves the following purposes: - acts as model for AntMakeFrame - converts itself to/from String (to store the information as ToolData in the VA repository) - wraps Project functions for the GUI (get target list, execute target)

Author:
  Wolf Siberski, TUI Infotec GmbH

Field Summary
`protected java.beans.PropertyChangeSupport` | `propertyChange`

Constructor Summary
`VAJBuildInfo()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` The addPropertyChangeListener method was generated to support the propertyChange field.
`java.lang.String` | `asDataString()` Returns the BuildInfo information as String.
`void` | `executeProject(BuildListener listener)` Executes the target set by setTarget().
`void` | `firePropertyChange(java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)` The firePropertyChange method was generated to support the propertyChange field.
`java.lang.String` | `getBuildFileName()` Returns the build file name.
`int` | `getOutputMessageLevel()` Returns the log level
`java.util.Vector` | `getProjectTargets()` return a list of all targets in the current buildfile
`protected java.beans.PropertyChangeSupport` | `getPropertyChange()` Accessor for the propertyChange field.
`java.lang.String` | `getTarget()` Insert the method's description here.
`java.lang.String` | `getVAJProjectName()` returns the VA project name
`boolean` | `isProjectInitialized()` Returns true, if the Ant project is initialized (i.e.
`static VAJBuildInfo` | `parse(java.lang.String data)` Creates a BuildInfo object from a String The String must be in the format outputMessageLevel'|'buildFileName'|'defaultTarget'|'(project target'|')*
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` The removePropertyChangeListener method was generated to support the propertyChange field.
`void` | `setBuildFileName(java.lang.String newBuildFileName)` Sets the build file name
`void` | `setOutputMessageLevel(int newOutputMessageLevel)` Sets the log level (value must be one of the constants in Project)
`void` | `setTarget(java.lang.String newTarget)` Sets the target to execute when executeBuild is called
`void` | `setVAJProjectName(java.lang.String newVAJProjectName)` Sets the name of the Visual Age for Java project where this BuildInfo belongs to
`void` | `updateTargetList()` reloads the build file and updates the target list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyChange

    protected transient java.beans.PropertyChangeSupport propertyChange

Constructor Detail

### VAJBuildInfo

    public VAJBuildInfo()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  The addPropertyChangeListener method was generated to support the propertyChange field.

### asDataString

    public java.lang.String asDataString()

  Returns the BuildInfo information as String. The BuildInfo can be rebuilt from that String by calling parse().
  Returns:
    java.lang.String

### executeProject

    public void executeProject(BuildListener listener)

  Executes the target set by setTarget().
  Parameters:
    `listener` - BuildListener for the output of the build

### firePropertyChange

    public void firePropertyChange(java.lang.String propertyName,
                                   java.lang.Object oldValue,
                                   java.lang.Object newValue)

  The firePropertyChange method was generated to support the propertyChange field.

### getBuildFileName

    public java.lang.String getBuildFileName()

  Returns the build file name.
  Returns:
    build file name.

### getOutputMessageLevel

    public int getOutputMessageLevel()

  Returns the log level
  Returns:
    log level.

### getProjectTargets

    public java.util.Vector getProjectTargets()

  return a list of all targets in the current buildfile

### getPropertyChange

    protected java.beans.PropertyChangeSupport getPropertyChange()

  Accessor for the propertyChange field.

### getTarget

    public java.lang.String getTarget()

  Insert the method's description here. Creation date: (07.11.2000 10:34:18)
  Returns:
    java.lang.String

### getVAJProjectName

    public java.lang.String getVAJProjectName()

  returns the VA project name
  Returns:
    The projectName property value.

### isProjectInitialized

    public boolean isProjectInitialized()

  Returns true, if the Ant project is initialized (i.e. buildfile loaded)

### parse

    public static VAJBuildInfo parse(java.lang.String data)

  Creates a BuildInfo object from a String The String must be in the format outputMessageLevel'|'buildFileName'|'defaultTarget'|'(project target'|')*
  Parameters:
    `data` - java.lang.String
  Returns:
    org.apache.tools.ant.taskdefs.optional.vaj.BuildInfo

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  The removePropertyChangeListener method was generated to support the propertyChange field.

### setBuildFileName

    public void setBuildFileName(java.lang.String newBuildFileName)

  Sets the build file name
  Parameters:
    `buildFileName` - build file name

### setOutputMessageLevel

    public void setOutputMessageLevel(int newOutputMessageLevel)

  Sets the log level (value must be one of the constants in Project)
  Parameters:
    `outputMessageLevel` - log level.

### setTarget

    public void setTarget(java.lang.String newTarget)

  Sets the target to execute when executeBuild is called
  Parameters:
    `newTarget` - build target

### setVAJProjectName

    public void setVAJProjectName(java.lang.String newVAJProjectName)

  Sets the name of the Visual Age for Java project where this BuildInfo belongs to
  Parameters:
    `newProjectName` - VAJ project

### updateTargetList

    public void updateTargetList()

  reloads the build file and updates the target list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.